VismaBouwsoftAPICalls.v1_GET_ProjectPhases Method
v1_GET_ProjectPhases() as String

This API call is used to get fields of a(n) ProjectPhase(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /ProjectPhases/
or
API Path: /ProjectPhases/{id}
or
API Path: /ProjectPhases/{id}/note_html
or
API Path: /ProjectPhases/{id}/note_plain
or
API Path: /ProjectPhases/{id}/note_rtf
or
API Path: /ProjectPhases/FieldInfo/

You can make this API call:
* without the key field id to get a list of ProjectPhases
* with the key field id as the path parameter (the specific id of the ProjectPhase you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
project_id 1 tpLong 0 No No No
project_pnr 1 tpLong 0 No No No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 0 No No No
projectphase_id 1 tpLong 0 No No No
title 2 tpString 0 No No No
date_executed 6 tpDateNullString 0 No Yes No
estimatedwork_hours 1 tpLong 0 No Yes No
date_deadline 6 tpDateNullString 0 No Yes No
note 2 tpString 0 No No No

/ProjectPhases/

API Path: /ProjectPhases/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProjectPhases

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rGDfWxfbbfzSflrUAfzRqbjtfIPlfGllfVmkzGmjVrbGkAmVfG

Query Parameters :
ParameterName: filter, ParameterValue: project_pnr eq 20170312

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–21/22”, “Records”: [
  {
    "id": –1060,
    "project_id": 1090,
    "project_pnr": 20170312,
    "project_unr": 448,
    "project_name": "Vloer leggen",
    "projectphase_id": 1060,
    "title": "voorontwerp",
    "date_executed": "",
    "estimatedwork_hours": 0,
    "date_deadline": "",
    "amount": 0.0,
    "note": ""
  },
  {
    "id": 8341,
    "project_id": 1090,
    "project_pnr": 20170312,
    "project_unr": 448,
    "project_name": "Vloer leggen",
    "projectphase_id": 992,
    "title": "In afwachting",
    "date_executed": "",
    "estimatedwork_hours": 0,
    "date_deadline": "2020–03–01",
    "amount": 0.0,
    "note": ""
  }
,

]
}

https://ra.bouwsoft.be/api/v1/ProjectPhases

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: IGGfWxftDUzSflrkDtzRqmUmfAtVIOtUjkrtztVtDbIGtOkPlO
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: project_pnr eq 20170312 or project_id eq 2330

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–43/44”, “Records”: [
  {
    "id": –1060,
    "project_id": 1090,
    "project_pnr": 20170312,
    "project_unr": 448,
    "project_name": "Vloer leggen",
    "projectphase_id": 1060,
    "title": "voorontwerp",
    "date_executed": "",
    "estimatedwork_hours": 0,
    "date_deadline": "",
    "amount": 0.0,
    "note": ""
  },
  {
    "id": 8341,
    "project_id": 1090,
    "project_pnr": 20170312,
    "project_unr": 448,
    "project_name": "Vloer leggen",
    "projectphase_id": 992,
    "title": "In afwachting",
    "date_executed": "",
    "estimatedwork_hours": 0,
    "date_deadline": "2020–03–01",
    "amount": 0.0,
    "note": ""
  }
,

]
}

https://ra.bouwsoft.be/api/v1/ProjectPhases

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: IGGfWxftDUzSflrkDtzRqmUmfAtVIOtUjkrtztVtDbIGtOkPlO
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: project_id eq 1 or project_id eq 2 or project_id eq 3 or project_id eq 4 or project_id eq 5 or project_id eq 6 or project_id eq 7 or project_id eq 8 or project_id eq 9 or project_id eq 10 or project_id eq 11

Success gives statuscode 400 And the following result

{“RecordChanges”: [
  {
    "Code": "400",
    "Message": "Bad Request",
    "Description": "The filter cannot contain more than 10 project_id or project_pnr values",
    "RequestId": "115–3cdb79bc-e52c–43dc–8964–8595b1a09189–260507–092144"
  }
]
}

/ProjectPhases/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProjectPhases/3495

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rPffWxfmmVzSfDPlOfzRqmOkfIUIGfAkfrPbzbkAkIGfDPlIVD

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 3495,
    "project_id": 1090,
    "project_pnr": 20170312,
    "project_unr": 448,
    "project_name": "Vloer leggen",
    "projectphase_id": 2,
    "title": "Aanmaak Project",
    "date_executed": "2017–11–14",
    "estimatedwork_hours": 0,
    "date_deadline": "2019–06–03",
    "amount": 0.0,
    "note": ""
  }
]
}

/ProjectPhases/{id}/note_html

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProjectPhases/10214/note_html

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: tmtfWxfVmkzSfmIUmfzRqVIrfVklfGjOfIUkzkrDPIkGrkmkbV

Success gives statuscode 200 And the following result

<HTML><BODY> <DIV STYLE="text-align: left;"><SPAN STYLE="font-family: Century Gothic;font-size: 11pt;color: #000000;">fsgfdgfdgfdg</SPAN></DIV> </BODY></HTML>

/ProjectPhases/{id}/note_plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProjectPhases/10214/note_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: tmtfWxfVmkzSfmIUmfzRqVIrfVklfGjOfIUkzkrDPIkGrkmkbV

Success gives statuscode 200 And the following result

fsgfdgfdgfdg

/ProjectPhases/{id}/note_rtf

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProjectPhases/10214/note_rtf

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: tmtfWxfVmkzSfmIUmfzRqVIrfVklfGjOfIUkzkrDPIkGrkmkbV

Success gives statuscode 200 And the following result

{\rtf1\ansi\deff0{\fonttbl{\f0\fnil Century Gothic;}}{\colortbl ;\red0\green0\blue0;}{*\generator Spikesoft 16.02;}\ql\li0\f0\fs22\cf1 fsgfdgfdgfdg}

/ProjectPhases/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProjectPhases/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "project_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "project_pnr",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]